Opened 7 years ago

Closed 7 years ago

#17072 closed enhancement (fixed)

Always rebuild depending packages (SAGE_UPGRADING=yes)

Reported by: jdemeyer Owned by:
Priority: major Milestone: sage-6.4
Component: build Keywords:
Cc: vbraun Merged in:
Authors: Jeroen Demeyer Reviewers: Volker Braun
Report Upstream: N/A Work issues:
Branch: f2db0ce (Commits, GitHub, GitLab) Commit: f2db0ceab456ceaec77bff9cb2c4eec584b19b53
Dependencies: Stopgaps:

Status badges

Description

Remove the SAGE_UPGRADING environment variable and always build as if it was set to yes.

Change History (6)

comment:1 Changed 7 years ago by jdemeyer

  • Cc vbraun added

comment:2 Changed 7 years ago by jdemeyer

  • Branch set to u/jdemeyer/ticket/17072
  • Created changed from 09/30/14 07:14:55 to 09/30/14 07:14:55
  • Modified changed from 09/30/14 07:15:05 to 09/30/14 07:15:05

comment:3 Changed 7 years ago by jdemeyer

  • Commit set to f2db0ceab456ceaec77bff9cb2c4eec584b19b53
  • Summary changed from Always rebuild dependening packages (SAGE_UPGRADING=yes) to Always rebuild depending packages (SAGE_UPGRADING=yes)

New commits:

f2db0ceRemove support for SAGE_UPGRADING

comment:4 Changed 7 years ago by vbraun

Looks good, let me know when it is ready for review.

comment:5 Changed 7 years ago by jdemeyer

  • Reviewers set to Volker Braun
  • Status changed from new to needs_review

comment:6 Changed 7 years ago by vbraun

  • Branch changed from u/jdemeyer/ticket/17072 to f2db0ceab456ceaec77bff9cb2c4eec584b19b53
  • Resolution set to fixed
  • Status changed from needs_review to closed
Note: See TracTickets for help on using tickets.